Skip to main content
GET
Get task attachments

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

taskId
string
required

Unique task identifier

Example:

"tsk_abc123def456"

Response

Attachments retrieved successfully

id
string
required

Unique identifier for the attachment

Example:

"att_abc123def456"

name
string
required

Original filename

Example:

"document.pdf"

type
string
required

File type/MIME type

Example:

"application/pdf"

size
number
required

File size in bytes

Example:

1024000

downloadUrl
string
required

Signed URL for downloading the file (temporary)

Example:

"https://bucket.s3.amazonaws.com/path/to/file.pdf?signature=..."

createdAt
string<date-time>
required

Upload timestamp

Example:

"2024-01-15T10:30:00Z"

reviewPending
boolean

True while the automatic evidence review of a task file is running. Its results appear in GET /v1/review-issues.

Example:

false

uploadedBy
object | null

Who uploaded the file. Null when unknown, for example for older files.

markedReviewedAt
string<date-time> | null

When a person marked the file as reviewed. Null while it awaits review. Not the automatic review (reviewPending).

Example:

"2024-01-16T09:00:00Z"

markedReviewedBy
object | null

Who marked the file as reviewed.